from jarray import zeros
from java.lang import Thread
from java.util import Properties, Random
from javax.jms import Session
from javax.naming import Context, InitialContext
from com.sun.jndi.fscontext import RefFSContextFactory

properties = Properties()
QCF_NAME="MQ_QCF"
Q_NAME="SOAP.TEST.Q"
PROVIDER_URL="file:///C:/JndiMQ/roger/mqjndi"

# Look up connection factory and queue in JNDI.
properties = Properties()
properties[Context.PROVIDER_URL] = PROVIDER_URL
properties[Context.INITIAL_CONTEXT_FACTORY] = RefFSContextFactory.name

initialContext = InitialContext(properties)

connectionFactory = initialContext.lookup(QCF_NAME)
queue = initialContext.lookup(Q_NAME)
initialContext.close()

# Create a connection.
connection = connectionFactory.createQueueConnection("Roger", None)
connection.start()
session = connection.createQueueSession(0, Session.AUTO_ACKNOWLEDGE)
receiver = session.createReceiver(queue)
message = session.createTextMessage()
receiver = session.createReceiver(queue)
i=0    
message = receiver.receiveNoWait()
while message != None:
   print "Message # ", i
   print message.getText()
   i = i + 1
   message = receiver.receiveNoWait()


connection.close()
